// 封装上拉加载，下拉刷新
var $ = mui,
    doc = document,
    aPullRefresh = {
        url: '', // 接口地址
        opt: {}, // 接口参数
        list: [], // 列表缓存数据
        layer: '', // 加载内容div
        pullRefreshLayer: '' // 刷新div
    };

$.init({
    pullRefresh: {
        container: '#pullrefresh',
        down: {
            callback: pulldownRefresh
        },
        up: {
            contentrefresh: '正在加载...',
            contentnomore: '没有更多数据了',
            callback: pullupRefresh
        }
    }
});

// /**
//  * 下拉刷新具体业务实现
//  */
function pulldownRefresh() {
    // 下拉刷新，重新请求第一页数据
    aPullRefresh.opt.current = 0;
    // 结束下拉动画
    aPullRefresh.pullRefreshLayer.pullRefresh().endPulldownToRefresh();
    // 重置上拉刷新
    aPullRefresh.pullRefreshLayer.pullRefresh().refresh(true);
    pullupRefresh();
}

// 待用方法
// 禁用上拉刷新
// mui('#pullup-container').pullRefresh().disablePullupToRefresh();
// 启用上拉刷新
// mui('#pullup-container').pullRefresh().enablePullupToRefresh();
/**
 * 上拉加载具体业务实现
 */
function pullupRefresh() {
    // 添加上拉次数
    aPullRefresh.opt.current++;
    // 请求数据
    $.ajax(httpNetwork + aPullRefresh.url,{
        data: aPullRefresh.opt,
        dataType:'json',
        type: 'get',
        timeout:10000,
        success: function(res){
            if (res.success && res.obj.records) {
                // 隐藏无数据提示
                $('.no-data')[0].style.display = 'none';
                aPullRefresh.pullRefreshLayer.pullRefresh().endPullupToRefresh((res.obj.pages === aPullRefresh.opt.current));
                var html = template('pullList', res.obj.records);
                // 列表数据缓存
                console.log(this.aPullRefresh.list);
                if (aPullRefresh.opt.current === 1) {
                    aPullRefresh.list = [];
                    aPullRefresh.layer.innerHTML = html;
                } else {
                    // 如果当前页等于总页数，则无下拉数据
                    aPullRefresh.layer.innerHTML += html;
                }
                aPullRefresh.list = aPullRefresh.list.concat(res.obj.records);
                console.log(aPullRefresh.list);
            } else {
                $.toast("未获取到数据");
                // 请求第一页无数据时，显示无数据提示
                if (aPullRefresh.opt.current === 1) {
                    $('.no-data')[0].style.display = 'block';
                }
            }
        },
        error:function(){
            $.toast("请检查网络");
            // 结束下拉加载
            aPullRefresh.pullRefreshLayer.pullRefresh().endPullupToRefresh();
            // 添加无数据提示
            $('.no-data')[0].style.display = 'block';
        }
    })
}